import PropTypes from "prop-types";
import React, { Component } from "react";
import logo from "./logo.svg";
import "./App.css";

const appName = "MasterControlProgram";
const titleName = "heading";

class Link extends Component {
  render() {
    return this.props.hide
      ? null
      : <a href={this.props.address}>Click</a>;
  }
}

Link.propTypes = {
  address: PropTypes.string,
  hide: PropTypes.bool,
};

const Title = ({ text }) => <div>{text}</div>;

Title.propTypes = {
  text: PropTypes.string,
};

class App extends Component {
  render() {
    return (
      <div className="App">
        <header className="App-header">
          <img src={logo} className="App-logo" alt="logo" />
          <h1 className="App-title">Welcome to React</h1>
        </header>
        <Title text="Some title" />
        <p className="App-intro">
          To get started, edit <code>src/App.js</code> and save to reload.
        </p>
        <ul className="tyler">
          <li>First</li>
          <li>Second</li>
          <li>Third</li>
        </ul>
      </div>
    );
  }
}

App.displayName = appName;
Title.displayName = titleName;

export { App, Link, appName, titleName };
